GET /api/v3/dashboard/{dashboardId}/widget

Get all widgets on a dashboard For a dashboard to be returned you must have created the dashboard or have DashboardAdministrator Manage permission and the dashboard is shared at all or have DashboardAdministrator Manage permission and the dashboard is public or have SharedDashboardsOrMaps View permission and the dashboard is shared with you

GetDashboardWidgetsV3

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
dashboardId Dashboard Identifier integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

SpecificWidgetResponse
Property Description Type
col Dashboard column integer (int32)
description Widget description string
filters Widget filters FilterResponse[]
FilterResponse properties
Property Description Type
availableOperator The list of available operators Required (defined) string[]
caption The caption of the filter Required (defined) string
dataFieldId The datafield identifier Required (defined) integer (int32)
dataType DataTypeResponse
DataTypeResponse properties
Property Description Type
dataTypeCode Required (defined) string
dataTypeId Required (defined) integer (int32)
dataTypeInfo Required (defined) string
fieldId The field identifier Required (defined) integer (int32)
hidden Indicates if the filter is hidden Required (defined) boolean
operator The operator Required (defined) string
queryParameterName The Query parameter name Required (defined) string
recommended Indicates if the filter is recommended Required (defined) boolean
required Indicates if the filter is required boolean
value The value of the filter Required (defined) string
height Widget height integer (int32)
row Dashboard row integer (int32)
specificWidgetId Specific widget identifier integer (int32)
title User Widget title string
userWidgetDescription User Widget description string
widgetInfo Widget title string
width Widget width integer (int32)
Example Response application/json
[
  {    "col": 1,    "description": "string",    "filters": [
      {      "availableOperator": [],      "caption": "string",      "dataFieldId": 1,      "dataType": {},      "fieldId": 1,      "hidden": false,      "operator": "string",      "queryParameterName": "string",      "recommended": false,      "required": false,      "value": "string"
    }
    ],    "height": 1,    "row": 1,    "specificWidgetId": 1,    "title": "string",    "userWidgetDescription": "string",    "widgetInfo": "string",    "width": 1
  }
]